const request = (url, params) =>
  fetch(url, {
    method: 'POST',
    body: JSON.stringify(params)
  }).then(r => r.json());

const service = {
  /**
   * 以下仅为 mock 示例，需要按照接入文档返回符合规范的数据结构
   * 注意：请确保 params 传入到您的请求中
   */
  DescribeCasters: (params) => request('/api/DescribeCasters', params),
  DescribeCasterConfig: (params) => request('/api/DescribeCasterConfig', params),
  DescribeLiveUserDomains: (params) => request('/api/DescribeLiveUserDomains', params),
  DescribeLiveDomainConfigs: (params) => request('/api/DescribeLiveDomainConfigs', params),
  DescribeCasterVideoResources: (params) => request('/api/DescribeCasterVideoResources', params),
  DescribeCasterChannels: (params) => request('/api/DescribeCasterChannels', params),
  DescribeCasterLayouts: (params) => request('/api/DescribeCasterLayouts', params),
  DescribeCasterScenes: (params) => request('/api/DescribeCasterScenes', params),
  DescribeCasterComponents: (params) => request('/api/DescribeCasterComponents', params),
  DescribeCasterSyncGroup: (params) => request('/api/DescribeCasterSyncGroup', params),
  DescribeCasterRtcInfo: (params) => request('/api/DescribeCasterRtcInfo', params),
  GetImageInfo: (params) => request('/api/GetImageInfo', params),
  GetPlayInfo: (params) => request('/api/GetPlayInfo', params),
  DescribeStudioDefaultBgImageList: (params) => request('/api/DescribeStudioDefaultBgImageList', params),
  
  // 完整 service 列表见接入文档
};

const { default: Caster, Log: CasterLog } = window.AliCaster;
new Caster({
  BizCode: 'Caster-sdk-demo', // 此处填写您的业务代码，请发邮件申请
  Container: 'caster-root',
  Id: 'LIVEPRODUCER_POST-cn-0pp0galm107',
  Region: 'cn-shanghai', //  根据您的接入点填写
  Language: 'zh'
}, service);
